<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RetryTenantTurnover StructType
 * @subpackage Structs
 */
class RetryTenantTurnover extends AbstractStructBase
{
    /**
     * The oldCustomerId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $oldCustomerId;
    /**
     * Constructor method for RetryTenantTurnover
     * @uses RetryTenantTurnover::setOldCustomerId()
     * @param int $oldCustomerId
     */
    public function __construct($oldCustomerId = null)
    {
        $this
            ->setOldCustomerId($oldCustomerId);
    }
    /**
     * Get oldCustomerId value
     * @return int
     */
    public function getOldCustomerId()
    {
        return $this->oldCustomerId;
    }
    /**
     * Set oldCustomerId value
     * @param int $oldCustomerId
     * @return \CustomerManagement\StructType\RetryTenantTurnover
     */
    public function setOldCustomerId($oldCustomerId = null)
    {
        // validation for constraint: int
        if (!is_null($oldCustomerId) && !(is_int($oldCustomerId) || ctype_digit($oldCustomerId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($oldCustomerId, true), gettype($oldCustomerId)), __LINE__);
        }
        $this->oldCustomerId = $oldCustomerId;
        return $this;
    }
}
